Subject: Re: [bug#27546] [PATCH] Add wine stable release

From: [email-masked] (Ludovic Courtès)
Date: Sun, 02 Jul 2017 17:09:04 +0200

Leo Famulari <[email-masked]> skribis:

> On Sat, Jul 01, 2017 at 09:41:37PM +0200, Nicolas Goaziou wrote:
>> > Since we don't typically package development releases, how about
>> > removing 2.11 and replacing it with 2.0.1?
>> 
>> Thank you for the review.
>> 
>> I do not mind, for all I need is the stable release. However, I'm not
>> the one who packaged wine in the first place. Maybe its author has
>> a different use case.
>
> I see.
>
>> Anyway, the patch implements the less invasive solution. We can also
>> apply it for now and settle on the next stable release, whenever it
>> happens. Note that we have other packages in the same situation (e.g.,
>> lilypond).
>
> IIUC, I think that's a good idea. We'll keep both versions of Wine until
> the development releases reach "stable" status, then we'll drop the
> development version.

Sounds reasonable to me too.

As for the name, I would call the stable version “wine”, and the
development version “wine-next” (we’ve used this naming scheme on a few
occasions for other packages in the past.)  That way users won’t get the
development version unless they explicitly ask for it.

Thanks,
Ludo’.